QGIS Server: Exclude composers in OWS tab does not work
2013-08-19 07:52 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee: Marco Hugentobler

Category: QGIS Server

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17250
Description

In the current QGIS server, if one uses a list of "Exclude composers" in the OWS tab, QGIS server lists only the excluded composers and
not the composers the map author actually wants. So it acts as a white list and not as a black list.

Thank you for having a look at the problem!

History

#1 - 2013-08-20 08:53 AM - Marco Hugentobler
- Assignee set to Marco Hugentobler

#2 - 2013-09-03 11:50 PM - René-Luc ReLuc

Will this bug be closed before QGIS 2 branching ?

#3 - 2013-09-04 12:27 AM - René-Luc ReLuc
Hi Marco,
I have threw a glance at the code and the list of excluded composers is stored in the element WMSComposerList.
To fix this bug, we have several solutions :
1. Change the Ul string and comments

2. Change the element name

Which has your preference ?

#4 - 2013-09-04 01:00 AM - Marco Hugentobler

Hi René-Luc

My preference is to change the element name and the behaviour (currently whitelist -> blacklist). | think it is more usefull to have a list of not-published
compositions rather than explicitely publishing every composition.

#5 - 2013-09-04 01:03 AM - René-Luc ReLuc

OK, can | propose a patch or directly update master ?
#6 - 2013-09-04 01:24 AM - Andreas Neumann

Hi,

Yes - the blacklist behaviour was already in place before this bug appeared. Also, | think the blacklist is what administrators want. Easier to maintain. Most

of the composers would be public except some selected internal ones.

Thanks for providing the patch.

Andreas

#7 - 2013-09-04 01:29 AM - Marco Hugentobler

OK, can | propose a patch or directly update master ?

Could you make a pull request on github?

#8 - 2013-09-04 01:34 AM - René-Luc ReLuc
- % Done changed from 0 to 100
- Pull Request or Patch supplied changed from No to Yes

Pull request made :
https://github.com/qgis/Quantum-GIS/pull/867

#9 - 2013-09-04 02:28 AM - Marco Hugentobler
- Status changed from Open to Closed

Works nicely, pushed to master branch. Thanks, René-Luc!
